package ink.wgink.module.menu.pojo.vos;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: MenuVO
 * @Description: 菜单视图
 * @Author: WangGeng
 * @Date: 2019/3/1 10:24 PM
 * @Version: 1.0
 **/
@ApiModel
public class MenuVO {

    @ApiModelProperty(name = "menuParentId", value = "上级ID", required = true, example = "0")
    @CheckEmptyAnnotation(name = "上级ID")
    private String menuParentId;
    @ApiModelProperty(name = "menuName", value = "菜单名称", required = true)
    @CheckEmptyAnnotation(name = "菜单名称")
    private String menuName;
    @ApiModelProperty(name = "menuSummary", value = "菜单说明", required = true)
    @CheckEmptyAnnotation(name = "菜单说明")
    private String menuSummary;
    @ApiModelProperty(name = "menuUrl", value = "菜单链接")
    private String menuUrl;
    @ApiModelProperty(name = "menuIcon", value = "菜单图标")
    private String menuIcon;
    @ApiModelProperty(name = "menuType", value = "菜单类型，1：系统菜单，2：业务菜单", example = "1")
    @CheckNumberAnnotation(name = "菜单类型", types = {"1", "2"})
    private Integer menuType;
    @ApiModelProperty(name = "menuOrder", value = "菜单排序", required = true, example = "99")
    @CheckNumberAnnotation(name = "菜单排序")
    private String menuOrder;
    @ApiModelProperty(name = "menuStatus", value = "菜单状态，0：显示，1：不显示", example = "1")
    @CheckNumberAnnotation(name = "菜单状态", types = {"0", "1"})
    private Integer menuStatus;
    @ApiModelProperty(name = "openType", value = "打开方式，1: 默认，2: 弹窗，3: 页面")
    @CheckNumberAnnotation(name = "打开方式", types = {"1", "2", "3"})
    private Integer openType;

    public String getMenuParentId() {
        return menuParentId == null ? "" : menuParentId;
    }

    public void setMenuParentId(String menuParentId) {
        this.menuParentId = menuParentId;
    }

    public String getMenuName() {
        return menuName == null ? "" : menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public String getMenuSummary() {
        return menuSummary == null ? "" : menuSummary;
    }

    public void setMenuSummary(String menuSummary) {
        this.menuSummary = menuSummary;
    }

    public String getMenuUrl() {
        return menuUrl == null ? "javascript:void(0);" : menuUrl;
    }

    public void setMenuUrl(String menuUrl) {
        this.menuUrl = menuUrl;
    }

    public String getMenuIcon() {
        return menuIcon == null ? "fa-icon-color-white fa fa-list" : menuIcon;
    }

    public void setMenuIcon(String menuIcon) {
        this.menuIcon = menuIcon;
    }

    public Integer getMenuType() {
        return menuType == null ? 0 : menuType;
    }

    public void setMenuType(Integer menuType) {
        this.menuType = menuType;
    }

    public String getMenuOrder() {
        return menuOrder == null ? "" : menuOrder;
    }

    public void setMenuOrder(String menuOrder) {
        this.menuOrder = menuOrder;
    }

    public Integer getMenuStatus() {
        return menuStatus == null ? 0 : menuStatus;
    }

    public void setMenuStatus(Integer menuStatus) {
        this.menuStatus = menuStatus;
    }

    public Integer getOpenType() {
        return openType == null ? 0 : openType;
    }

    public void setOpenType(Integer openType) {
        this.openType = openType;
    }
}
